Subject: bug#51176: eww switch buffer by title

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 13 Oct 2021 18:47:40 +0200

Juri Linkov <[email-masked]> writes:

>> I think in that case, perhaps it would make more sense to just rename
>> the eww buffer to have the title in the buffer name?  Then the normal
>> buffer switching commands would work automatically.
>
> In Info, forking commands (such as 'Info-follow-nearest-node FORK')
> create a new buffer with the Info node name in its buffer name, e.g.
> *info-TITLE*.  So instead of current *eww*<2>, eww could use the same
> format *eww-TITLE*, or uniquify-like angle brackets *eww<TITLE>*.

Yup, that's what I meant.  The wrinkle here is that we don't know the
title until we've fetched the HTML, so the buffer has to be renamed
after rendering.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no